import type { Payload } from '..';
import type { SanitizedCollectionConfig } from './../collections/config/types';
type CookieOptions = {
    domain?: string;
    expires?: Date;
    httpOnly?: boolean;
    maxAge?: number;
    name: string;
    path?: string;
    sameSite?: 'Lax' | 'None' | 'Strict';
    secure?: boolean;
    value?: string;
};
export declare const generateCookies: (cookies: CookieOptions[]) => string;
export declare const generateCookie: (args: CookieOptions) => string;
type GeneratePayloadCookieArgs = {
    collectionConfig: SanitizedCollectionConfig;
    payload: Payload;
    token: string;
};
export declare const generatePayloadCookie: ({ collectionConfig, payload, token, }: GeneratePayloadCookieArgs) => string;
export declare const generateExpiredPayloadCookie: ({ collectionConfig, payload, }: Omit<GeneratePayloadCookieArgs, 'token'>) => string;
export declare const parseCookies: (headers: Request['headers']) => Map<string, string>;
export {};
//# sourceMappingURL=cookies.d.ts.map