import type { DeepPartial } from 'ts-essentials';
import type { GeneratedTypes } from '../../';
import type { PayloadRequest } from '../../types';
import type { Where } from '../../types';
import type { BulkOperationResult, Collection } from '../config/types';
import type { CreateUpdateType } from './create';
export type Arguments<T extends CreateUpdateType> = {
    collection: Collection;
    data: DeepPartial<T>;
    depth?: number;
    disableVerificationEmail?: boolean;
    draft?: boolean;
    overrideAccess?: boolean;
    overwriteExistingFiles?: boolean;
    req: PayloadRequest;
    showHiddenFields?: boolean;
    where: Where;
};
export declare const updateOperation: <TSlug extends string | number | symbol>(incomingArgs: Arguments<{
    [slug: string]: import("../config/types").TypeWithID & Record<string, unknown>;
    [slug: number]: import("../config/types").TypeWithID & Record<string, unknown>;
    [slug: symbol]: import("../config/types").TypeWithID & Record<string, unknown>;
}[TSlug]>) => Promise<BulkOperationResult<TSlug>>;
//# sourceMappingURL=update.d.ts.map